<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_InboundVLAN" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_InboundVLAN">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Antecedent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">No value</cim:Qualifier>
<cim:Qualifier name="Override" type="cim:cimString">Antecedent</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The VLAN to which the SwitchPort is assigned.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_InboundVLAN"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Dependent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">No value</cim:Qualifier>
<cim:Qualifier name="Override" type="cim:cimString">Dependent</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The SwitchPort on the VLAN.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_InboundVLAN"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Tagged" nillable="true" type="cim:cimBoolean">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">No value</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">If TRUE, packets already tagged with this VLAN number will be accepted when arriving at this port. For example, if there is an InboundVLAN association between port 12 and VLAN 7 for which Tagged is true, then when a packet tagged with VLAN 7 arrives at port 12, the packet will be accepted into the switch for further processing. If there is no such association, then the packet will be dropped. 

If FALSE, it means that any untagged packets arriving at this port MIGHT be classified into the associated VLAN. If, for a particular SwitchPort, there is only one instance of the association for which Tagged is FALSE, then all incoming untagged packets will be classified into that VLAN. This is the typical configuration of a non-trunk port in a switch implementing port-based VLANs. If there is more than one such association instance, then the packet MIGHT be classified into any one of them, based on some criterion other than the identity of the switch port. For example, in a MAC-based VLAN switch, the decision would be based on the source MAC address. In a protocol-based VLAN switch, the decision would be based on the values of some set of bits in the packet. 

Note that the MAC address is formatted as twelve hexadecimal digits (e.g., "010203040506"), with each pair representing one of the six octets of the MAC address in "canonical" bit order according to RFC 2469.</cim:Qualifier>
<cim:Classorigin name="CIM_InboundVLAN"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Default" nillable="true" type="cim:cimBoolean">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">No value</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">Default should be TRUE if untagged packets received by the SwitchPort are assigned to the VLAN. For 802.1Q-compliant ports, the Default property should be TRUE on the association instance connecting a SwitchPort to the VLAN corresponding to the port's PVID. Default MUST never be TRUE if Tagged is true -- it applies only to untagged packets.</cim:Qualifier>
<cim:Classorigin name="CIM_InboundVLAN"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_InboundVLAN" type="class:CIM_InboundVLAN_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_InboundVLAN" superclass="CIM_SAPSAPDependency"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Deprecated" type="cim:cimString">No value</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.8.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Network::VLAN</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">This class is deprecated in lieu or not being necessary to indicate whether the VLAN is inbound/outbound This association makes explicit the operational dependencies of a SwitchPort when operating in a VLAN. If there is an association between a particular SwitchPort and a particular VLAN, then there is the possibility that a packet received by the port will be assigned to the VLAN (or if the packet already has a VLAN tag, that the packet will not be dropped). If there is no such association, then there is NO possibility that a packet received by the port will progress through the switch having been assigned to the referenced VLAN.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_InboundVLAN_Type">
<xs:sequence>
<xs:element ref="class:Antecedent"/>
<xs:element minOccurs="0" ref="class:Default"/>
<xs:element ref="class:Dependent"/>
<xs:element minOccurs="0" ref="class:Tagged"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
